/** 
 *  _   _        _  _                           _             
 * | |_| |  ___ | || |  ___   __ _  _ __  _ __ (_)  ___  _ __ 
 * |  _  | / _ \| || | / __| / _` || '__|| '__|| | / _ \| '__|
 * | | | ||  __/| || || (__ | (_| || |   | |   | ||  __/| |   
 * |_| |_| \___||_||_| \___| \__,_||_|   |_|   |_| \___||_|   
 * 
 *  (c) 2001 Free Lunch Design, Teknisk-IT, AerotechTelub
 *			  http://www.freelunchdesign.com
 * 
 * This source code is released as is under GPL (General Public
 * License). Please refer to license.txt for more information.
 * 
 */
 
#ifndef _PICKUP_H_
#define _PICKUP_H_

#include "allegro.h"
#include "object.h"
#include "pickup.h"

#define PUP_ARMOUR			1
#define PUP_MACHINE_GUN		2
#define PUP_N_MISSILE		3
#define PUP_HS_MISSILE		4
#define PUP_PH_MISSILE		5
#define PUP_UP_ARMOUR		6
#define PUP_UP_AMMO			7
#define PUP_UP_FIRE			8
#define PUP_UP_REPAIR		9


class pickup : public object {

public:
	int p_type;

	pickup(int t);
	~pickup();

	void to_string(char *str);
	void props_dialog();
	bool add_object(object *o)  { return FALSE; };
	void evaluate_AI() {};
	void empty(mission *m) {};
	void save(PACKFILE *fp);
	void load(PACKFILE *fp);
	void draw(BITMAP *bmp, DATAFILE *gfx, fixed ca, bool shadow);
	void set_from_file(char* fname);
};


#endif